#!/bin/bash
#
# build ElecTools project
# this helper script should be called from the build directory
#

. "$(dirname "${BASH_SOURCE[0]}")/env_vars.sh" ### import common variables

# Execute the entire build sequence for ElecTools or throw an error
{
    mkdir -p "${DOCKER_ELECTOOLS_BUILD_DIR}" && \
    cd "${DOCKER_ELECTOOLS_BUILD_DIR}" && \
    rm -rf CMakeCache.txt && \
    echo $(ls "${DOCKER_SRC_DIR}") && \
    cmake "${DOCKER_SRC_DIR}" \
        -DCMAKE_INSTALL_PREFIX="${DOCKER_INSTALL_DIR}" \
        -DET_PYTHON_BINDINGS=${ET_PYTHON_BINDINGS} \
        -DET_PERL_BINDINGS=${ET_PERL_BINDINGS} \
        -DET_ENABLE_TESTS=ON && \
    cmake --build . -- -j $(( $(nproc) - 1 )) && \
    echo "Build successfull"
} || {
    echo "Build unsuccessfull" && \
    exit 1;
}
