#!/bin/bash
#
# build ElecTools project
# this helper script should be called from the build directory
#

. "$(dirname "${BASH_SOURCE[0]}")/env_vars.sh" ### import common variables

# Execute the entire build sequence for OpenBabel or throw an error
{
    mkdir -p "${DOCKER_OPENBABEL_BUILD_DIR}" && \
    cd "${DOCKER_OPENBABEL_BUILD_DIR}" && \
    wget --timestamping --continue --no-check-certificate https://github.com/openbabel/openbabel/releases/download/openbabel-3-0-0/openbabel-3.0.0-source.tar.bz2 && \
    tar xjf openbabel-3.0.0-source.tar.bz2 && \
    cmake ./openbabel-3.0.0 \
        -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_PREFIX="${DOCKER_INSTALL_DIR}" \
        -DPYTHON_EXECUTABLE=/usr/bin/python3 \
        -DRUN_SWIG=${OBABEL_PYTHON_BINDINGS} \
        -DPYTHON_BINDINGS=${OBABEL_PYTHON_BINDINGS} \
        -DENABLE_TESTS=OFF && \
    cmake --build . -- -j $(( $(nproc) - 1 )) && \
    echo "OpenBabel build successfull"
} || {
    echo "OpenBabel build unsuccessfull" && \
    exit 1;
}
