#!/bin/bash

. "$(dirname "${BASH_SOURCE[0]}")/env_vars.sh" ### import common variables

# Build docker image using Dockerfile inside ${DOCKERFILE_DIR}
# and setting up UID and GID for newly created container user to the same as host user has
# to manage external volume read-write permissions

echo -e "\n\tdocker build --tag ${DOCKER_IMAGE_TAG} ${DOCKERFILE_DIR}"
docker build \
    --build-arg UID=$(id -u) \
    --build-arg GID=$(id -g) \
    --build-arg USERNAME="${DOCKER_USERNAME}" \
    --tag "${DOCKER_IMAGE_TAG}" \
    "${DOCKERFILE_DIR}"
echo -e "\n\tDONE\n"

# Make sure docker repository sees the new image
echo -e "\n\tCHECKING STATUS"
docker image ls "${DOCKER_IMAGE_TAG}"
echo -e "\n\tDONE\n"
