#!/bin/bash

EXE="${1}"
PASS_CODE="${2}"
OUT_FILE="$(mktemp --suffix='ep_placement_test_on_bonds.mol2')"

IN_FILE="NCFH.mol2"
REF_DUMP_NAME="NCFH_ep_on_bonds.mol2"
ORIENT_RULES_FILE="orient.rules"

# Execute the binary
"${EXE}" -I "${IN_FILE}" -O "${OUT_FILE}" \
        -o "${ORIENT_RULES_FILE}" \
        --ep-place-on-bond "2 2 1 -1" \
        --ep-place-on-bond "3 3 1 -1" \
        --ep-place-on-bond "4 4 1 -1" \
        -f

# Check results
#diff -q "${REF_DUMP_NAME}" "${OUT_FILE}" &> /dev/null
echo "diff -y" "${REF_DUMP_NAME}" "${OUT_FILE}"
diff -y "${REF_DUMP_NAME}" "${OUT_FILE}"

SUCCESS=$?

#rm "${OUT_FILE}"

if [[ $SUCCESS == "0" ]]; then
  echo "${PASS_CODE}"
fi

exit $SUCCESS