#!/bin/bash

EXE="${1}"
PASS_CODE="${2}"
OUT_FILE="$(mktemp --suffix='.mol2')"

IN_FILE="h2co.mol2"
REF_DUMP_NAME="h2co_ep_on_xyz.mol2"
ORIENT_RULES_FILE="orient.rules"

# Execute the binary
"${EXE}" -I "${IN_FILE}" -O "${OUT_FILE}" \
        -o "${ORIENT_RULES_FILE}" \
        --ep-place-on-xyz "0 +1 +2 +3" \
        --ep-place-on-xyz "0 -1 -2 -3" \
        -f

# Check results
#diff -q "${REF_DUMP_NAME}" "${OUT_FILE}" &> /dev/null
echo "diff -y" "${REF_DUMP_NAME}" "${OUT_FILE}"
diff -y "${REF_DUMP_NAME}" "${OUT_FILE}"

SUCCESS=$?

#rm "${OUT_FILE}"

if [[ $SUCCESS == "0" ]]; then
  echo "${PASS_CODE}"
fi

exit $SUCCESS